Bug 21619 - Tax hints should not be abbreviated
Summary: Tax hints should not be abbreviated
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21387
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-19 11:45 UTC by Martin Renvoize
Modified: 2018-11-28 14:26 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21619: Expand tax abreviations in acquisitions form hints (6.74 KB, patch)
2018-10-19 11:50 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21619: Expand tax abreviations in acquisitions form hints (6.81 KB, patch)
2018-11-02 18:51 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21619: Expand tax abreviations in acquisitions form hints (6.90 KB, patch)
2018-11-06 17:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-10-19 11:45:14 UTC
It was highlighted in bug 21387 that form hints for the taxable fields should not use abbreviations.
Comment 1 Martin Renvoize 2018-10-19 11:46:39 UTC
To clarify, this is about 'tax inc.' and 'tax exc.'.

My question is.. should the replacement be

`before tax` and `after tax`
`tax included` and `tax excluded`
`tax inclusive` and `tac exclusive`

They're all technically correct.
Comment 2 Martin Renvoize 2018-10-19 11:50:15 UTC
Created attachment 80929 [details] [review]
Bug 21619: Expand tax abreviations in acquisitions form hints
Comment 3 Caroline Cyr La Rose 2018-10-19 18:21:15 UTC
I tested it and it works fine. However, since it depends on bug 21387 (which currently has failed qa status), I'm not sure if I can/should mark it as signed off.
Comment 4 Martin Renvoize 2018-10-31 14:50:52 UTC
bug 21387 is moving again now :)
Comment 5 Caroline Cyr La Rose 2018-11-02 18:50:33 UTC
Tax hints on both ordering and receiving forms are now long form.

This does not affect the tables.
Comment 6 Caroline Cyr La Rose 2018-11-02 18:51:27 UTC
Created attachment 81919 [details] [review]
Bug 21619: Expand tax abreviations in acquisitions form hints

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 7 Jonathan Druart 2018-11-06 17:44:18 UTC
Created attachment 82000 [details] [review]
Bug 21619: Expand tax abreviations in acquisitions form hints

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Nick Clemens 2018-11-07 13:11:04 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-11-16 12:49:30 UTC
Pushed to 18.05.x for 18.05.06
Comment 10 Fridolin SOMERS 2018-11-28 14:26:47 UTC
Depends on Bug 21387 not in 17.11.x